# Uses of Interface
org.opensaml.saml.saml2.core.GetComplete

Packages that use GetComplete
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of GetComplete in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return GetComplete
Modifier and Type
Method
Description
`GetComplete`
IDPList.`getGetComplete()`
Gets the GetComplete URI.
Methods in org.opensaml.saml.saml2.core with parameters of type GetComplete
Modifier and Type
Method
Description
`void`
IDPList.`setGetComplete(GetComplete newGetComplete)`
Sets the GetComplete URI.

## Uses of GetComplete in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement GetComplete
Modifier and Type
Class
Description
`class`
`GetCompleteImpl`
Concrete implementation of `GetComplete`.
Fields in org.opensaml.saml.saml2.core.impl declared as GetComplete
Modifier and Type
Field
Description
`private GetComplete`
IDPListImpl.`getComplete`
GetComplete child element.
Methods in org.opensaml.saml.saml2.core.impl that return GetComplete
Modifier and Type
Method
Description
`GetComplete`
GetCompleteBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`GetComplete`
GetCompleteBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`GetComplete`
IDPListImpl.`getGetComplete()`
Gets the GetComplete URI.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type GetComplete
Modifier and Type
Method
Description
`void`
IDPListImpl.`setGetComplete(GetComplete newGetComplete)`
Sets the GetComplete URI.